Skip to Content

Get Checkout

GET/checkouts/:checkoutId

Description

Retrieve the details of an existing checkout by its unique identifier. This is useful for checking the current status of a checkout or retrieving transaction details after completion.

Headers

HeaderDescriptionRequired
AuthorizationBearer token with your API keyyes

Path Parameters

NameTypeDescriptionRequired
checkoutIdstringThe unique identifier of the checkout.yes

Example Request

const response = await fetch('https://checkout-api.exodus-int.com/checkouts/chk_1234567890abcdef', {
  headers: {
    Authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxx',
  },
});

Response

SUCCESSFUL RESPONSE
{
  "id": "chk_1234567890abcdef",
  "object": "checkout",
  "amount": 5000,
  "currency": "USD",
  "description": "Premium Plan - Monthly",
  "status": "completed",
  "checkout_url": "https://checkout.exodus-int.com/pay/chk_1234567890abcdef",
  "success_url": "https://yoursite.com/success",
  "cancel_url": "https://yoursite.com/cancel",
  "customer_email": "[email protected]",
  "metadata": {
    "order_id": "12345",
    "product_name": "Premium Plan"
  },
  "expires_at": "2024-01-16T12:00:00Z",
  "created_at": "2024-01-15T12:00:00Z",
  "payments": [
    {
      "id": "tz4a98xxat96iws9zmbrgj3a",
      "object": "payment",
      "status": "settled",
      "payment_method": "two_step",
      "detected_token": "USDC",
      "detected_token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
      "detected_chain": "eip155:1",
      "token_amount": "50000000",
      "token_amount_decimal": "50",
      "deposit_address": "0x5fbdb2315678afecb367f032d93f642f64180aa3",
      "payer_addresses": ["0x742d35Cc6634C0532925a3b844Bc9e7595f8fE21"],
      "on_chain_id": "0x1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b",
      "created_at": "2024-01-15T12:30:00Z",
      "flagged": false
    }
  ]
}

Error Responses

NOT FOUND
{
  "error": {
    "type": "not_found",
    "message": "Checkout not found"
  }
}

Start building

XO

Request Demo

Schedule a call with our team

Select a product
Arrow right

Start building
Grateful

Contact Us

We're here to help